// read in required header files
#include <iostream>
using std::cout;
using std::endl;

#include <iomanip>
using std::setw;

#include <cmath>
using std::exp;
using std::fabs;

// variable and function definitions
double a, C;
double f(double x) { return C*exp(-a*fabs(x)); }

// main program
int main()
{
	const double left = -1.5;
	const double right = 4.5;
	const unsigned int nsteps = 1001;
	const double stepsize = (right-left)/(nsteps-1);
	
	for (unsigned int n = 0; n < nsteps; ++n)
	{
		const double x = left + stepsize*n;
		a=1.0; C=2.0;
		cout << setw(16) << x << setw(16) << f(x-1.0);
		a=2.0; C=1.5;
		cout << setw(16) << f(x-2.0)<< endl;
	}

	return 0;
}

