#include <cstdlib>
using std::atof;  // the function that converts text to floating point
using std::atoi;  // the function that converts text to integer

#include <cassert>

#include <iostream>
using std::cout;
using std::endl;

#include <iomanip>
using std::setw;

#include <cmath>
using std::cos;
using std::sin;

#include <algorithm>
using std::max;

int main(int argc, char *argv[])
{
   // read in five command line arguments: A B a b delta N
   assert(argc == 7);
   const double A = atof(argv[1]);
   const double B = atof(argv[2]);
   const double a = atof(argv[3]);
   const double b = atof(argv[4]);
   const double delta = atof(argv[5]);
   const int N = atoi(argv[6]);

   const int steps = N*100;
   const double tscale = 2.0*M_PI*max(1.0/a,1.0/b);
   
   // loop over N complete cycles
   for (int n = 0; n <= N*steps; ++n)
   {
      const double t = tscale*n/steps;
      const double x = A*cos(a*t);
      const double y = B*cos(b*t+delta);
      cout << setw(15) << t << setw(15) << x << setw(15) << y << endl;
   }
   return 0;
}

