#include <cstddef>
using std::size_t;

#include <iostream>
using std::cout;
using std::endl;

#include <iomanip>
using std::setw;

#include <complex>
using std::complex;

int main()
{
   const size_t M = 450;
   const size_t N = 300;
   unsigned int escape[M][N];
   const unsigned int nmax = 500;
   const double rmax_sqr = 9.0;

   for (size_t i = 0; i < M; ++i)
      for (size_t j = 0; j < N; ++j)
      {
	     complex<double> c( 3.0*i/M-2.0, 2.0*j/N-1.0 );
		 unsigned int n = 0;
		 complex<double> z(c);
		 while (n < nmax and norm(z) < rmax_sqr)
		 {
		    z = z*z +c;
			++n;
		 }
		 escape[i][j] = n;
      }
   
   for (size_t j = 0; j < N; ++j)
   {
      for (size_t i = 0; i < M; ++i)
	     cout << setw(4) << escape[i][j];
      cout << endl;
   }
   
   return 0;
}

