#include <cstddef>
using std::size_t;

#include <iostream>
using std::cout;
using std::endl;

#include <iomanip>
using std::setw;

int main()
{
	const size_t M = 3*75;
	const size_t N = 2*75;
	const unsigned int nmax = 500;
	const double rmax_sqr = 9.0;
	
	for (size_t j = 0; j < N; ++j)
	{
		for (size_t i = 0; i < M; ++i)
		{
			const double real_c = 3.0*i/M-2.0;
			const double imag_c = 2.0*j/N-1.0;
			unsigned int n = 0;
			double real_z = real_c;
			double imag_z = imag_c;
			while (n < nmax and real_z*real_z + imag_z*imag_z < rmax_sqr)
			{
				const double real_z_updated = real_z*real_z-imag_z*imag_z + real_c;
				const double imag_z_updated = 2.0*real_z*imag_z + imag_c;
				real_z = real_z_updated;
				imag_z = imag_z_updated;
				++n;
			}
			cout << setw(4) << n;
		}
		cout << endl;
	}
	
	return 0;
}

